## cervisia 25.04.3

=== doc/CMakeLists.txt ===
########### install files ###############
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR cervisia)
kdoctools_create_manpage (man-cervisia.1.docbook 1 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})

=== pics/CMakeLists.txt ===
ecm_install_icons(ICONS
    16-actions-vcs-add-cvs-cervisia.png
    16-actions-vcs-commit-cvs-cervisia.png
    16-actions-vcs-diff-cvs-cervisia.png
    16-actions-vcs-remove-cvs-cervisia.png
    16-actions-vcs-status-cvs-cervisia.png
    16-actions-vcs-update-cvs-cervisia.png
    22-actions-vcs-add-cvs-cervisia.png
    22-actions-vcs-commit-cvs-cervisia.png
    22-actions-vcs-diff-cvs-cervisia.png
    22-actions-vcs-remove-cvs-cervisia.png
    22-actions-vcs-status-cvs-cervisia.png
    22-actions-vcs-update-cvs-cervisia.png
    32-actions-vcs-add-cvs-cervisia.png
    32-actions-vcs-commit-cvs-cervisia.png
    32-actions-vcs-diff-cvs-cervisia.png
    32-actions-vcs-remove-cvs-cervisia.png
    32-actions-vcs-status-cvs-cervisia.png
    32-actions-vcs-update-cvs-cervisia.png
    48-actions-vcs-add-cvs-cervisia.png
    48-actions-vcs-commit-cvs-cervisia.png
    48-actions-vcs-diff-cvs-cervisia.png
    48-actions-vcs-remove-cvs-cervisia.png
    48-actions-vcs-status-cvs-cervisia.png
    48-actions-vcs-update-cvs-cervisia.png
    sc-actions-vcs-add-cvs-cervisia.svgz
    sc-actions-vcs-commit-cvs-cervisia.svgz
    sc-actions-vcs-diff-cvs-cervisia.svgz
    sc-actions-vcs-remove-cvs-cervisia.svgz
    sc-actions-vcs-status-cvs-cervisia.svgz
    sc-actions-vcs-update-cvs-cervisia.svgz
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)

=== debian/changelog ===
cervisia (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:35:15 +0100

cervisia (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:36:54 +0100

cervisia (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 21:59:59 +0100

cervisia (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:40:43 +0100

=== debian/control ===
Source: cervisia
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 5.90.0~),
               kinit-dev,
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5itemviews-dev,
               libkf5notifications-dev,
               libkf5parts-dev,
               libkf5su-dev,
               libkf5textwidgets-dev,
               libkf5widgetsaddons-dev,
               libkf6dbusaddons-dev,
               libkf6doctools-dev,
               libkf6i18n-dev,
               libkf6iconthemes-dev,
               libkf6itemviews-dev,
               libkf6notifications-dev,
               libkf6parts-dev,
               libkf6su-dev,
               libkf6textwidgets-dev,
               libkf6widgetsaddons-dev,
               pkg-kde-tools (>= 0.12),
               qt6-base-dev,
Standards-Version: 4.7.0
Homepage: https://apps.kde.org/en/cervisia
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cervisia
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cervisia
Rules-Requires-Root: no

Package: cervisia
Architecture: any
Section: devel
Depends: cvsservice (= ${binary:Version}),
         kinit,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: khelpcenter,
Description: graphical CVS client
 Cervisia is a front-end for the CVS version control system client.
 .
 In addition to basic and advanced CVS operations, it provides a convenient
 graphical interface for viewing, editing, and manipulating files in a CVS
 repository or working directory.  It includes tools designed to ease the use
 of CVS, such as a log browser, conflict resolver, and changelog editor that
 checks for incorrect formatting.
 .
 This package is part of the KDE Software Development Kit module.

Package: cvsservice
Architecture: any
Section: vcs
Depends: cvs, ${misc:Depends}, ${shlibs:Depends},
Replaces: cervisia (<< 4:17.08.3-1~), libcvsservice0,
Breaks: cervisia (<< 4:17.08.3-1~), libcvsservice0,
Description: D-Bus service for accessing CVS repositories
 This package provides a D-Bus service for browsing and manipulating
 remote CVS repositories.  Applications may make use of it directly from
 C++, or access the service over D-Bus.
 .
 This package is part of the KDE Software Development Kit module.

## cervisia 25.04.3+p24.04+vstable+git20250921.0549

=== debian/changelog ===
cervisia (4:25.04.3+p24.04+vstable+git20250921.0549-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 21 Sep 2025 05:49:10 +0000

cervisia (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 11:35:12 +0000

## cervisia 25.04.3+p24.04+vstable+git20250928.0544

=== debian/changelog ===
cervisia (4:25.04.3+p24.04+vstable+git20250928.0544-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 28 Sep 2025 05:45:00 +0000

## cervisia 25.04.3+p24.04+vstable+git20251015.1207

=== debian/changelog ===
cervisia (4:25.04.3+p24.04+vstable+git20251015.1207-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 12:07:42 +0000

## cervisia 25.04.3+p24.04+vstable+git20251020.0330

=== debian/changelog ===
cervisia (4:25.04.3+p24.04+vstable+git20251020.0330-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 03:30:58 +0000

## cervisia 25.04.3+p24.04+vstable+git20251217.0045

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "25")
set(RELEASE_SERVICE_VERSION_MINOR "07")
set(RELEASE_SERVICE_VERSION_MICRO "70")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(cervisia VERSION ${RELEASE_SERVICE_VERSION})

set (KDE_COMPILERSETTINGS_LEVEL "5.82.0")

find_package(ECM 5.90.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMAddAppIcon)
include(ECMMarkNonGuiExecutable)
include(FeatureSummary)
include(ECMSetupVersion)
include(KDEGitCommitHooks)
include(KDEClangFormat)

set(QT_REQUIRED_VERSION "5.15.0")

if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_REQUIRED_VERSION "6.4.0")
    set(KF_MIN_VERSION "5.240.0")
    set(KF_MAJOR_VERSION "6")
else()
    set(KF_MAJOR_VERSION "5")
endif()

add_definitions(-DTRANSLATION_DOMAIN="cervisia")

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX CERVISIA VERSION_HEADER cervisia_version.h)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Widgets DBus)
if (QT_MAJOR_VERSION STREQUAL "6")
    find_package(Qt6Core5Compat ${QT_MIN_VERSION} CONFIG REQUIRED)
endif()

find_package(KF${KF_MAJOR_VERSION} REQUIRED COMPONENTS Completion CoreAddons DBusAddons I18n Parts DocTools IconThemes Notifications WidgetsAddons ItemViews Su TextWidgets)

add_subdirectory( doc )
add_subdirectory( cvsservice )
add_subdirectory( pics )

ki18n_install(po)
kdoctools_install(po)

########### next target ###############

set(libcervisia_SRCS
   annotatedialog.cpp
   diffdialog.cpp
   patchoptiondialog.cpp
   logdialog.cpp
   progressdialog.cpp
   resolvedialog.cpp
   resolvedialog_p.cpp
   annotateview.cpp
   diffview.cpp
   loglist.cpp
   logplainview.cpp
   logtree.cpp
   annotatecontroller.cpp
   loginfo.cpp
   misc.cpp
   qttableview.cpp
   tooltip.cpp
   settingsdialog.cpp
   debug.cpp
   annotatedialog.h
   diffdialog.h
   patchoptiondialog.h
   logdialog.h
   progressdialog.h
   resolvedialog.h
   resolvedialog_p.h
   annotateview.h
   diffview.h
   loglist.h
   logplainview.h
   logtree.h
   annotatecontroller.h
   loginfo.h
   misc.h
   qttableview.h
   tooltip.h
   settingsdialog.h
   debug.h
   )

qt_add_dbus_interfaces( libcervisia_SRCS cvsservice/org.kde.cervisia5.cvsservice.xml )
qt_add_dbus_interfaces( libcervisia_SRCS cvsservice/org.kde.cervisia5.cvsjob.xml )
qt_add_dbus_interfaces( libcervisia_SRCS cvsservice/org.kde.cervisia5.cvsloginjob.xml )
qt_add_dbus_interfaces( libcervisia_SRCS cvsservice/org.kde.cervisia5.repository.xml )


ki18n_wrap_ui(libcervisia_SRCS settingsdialog_advanced.ui )

kconfig_add_kcfg_files(libcervisia_SRCS cervisiasettings.kcfgc )


set(cervisia_SRCS ${libcervisia_SRCS}
   main.cpp
   cervisiashell.cpp )

add_executable(cervisia ${cervisia_SRCS})

target_link_libraries(cervisia KF${KF_MAJOR_VERSION}::Completion KF${KF_MAJOR_VERSION}::CoreAddons KF${KF_MAJOR_VERSION}::I18n KF${KF_MAJOR_VERSION}::KIOCore KF${KF_MAJOR_VERSION}::Notifications KF${KF_MAJOR_VERSION}::TextWidgets KF${KF_MAJOR_VERSION}::Parts KF${KF_MAJOR_VERSION}::ItemViews)

install(TARGETS cervisia  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

########### next target ###############

set(cervisiapart_PART_SRCS ${libcervisia_SRCS}
   updateview.cpp
   protocolview.cpp
   watchdialog.cpp
   changelogdialog.cpp
   historydialog.cpp
   repositorydialog.cpp
   commitdialog.cpp
   checkoutdialog.cpp
   updatedialog.cpp
   tagdialog.cpp
   mergedialog.cpp
   cvsdir.cpp
   repositories.cpp
   cervisiapart.cpp
   addrepositorydialog.cpp
   addremovedialog.cpp
   watchersdialog.cpp
   watchersmodel.cpp
   updateview_items.cpp
   updateview_visitors.cpp
   entry.cpp
   entry_status.cpp
   stringmatcher.cpp
   cvsinitdialog.cpp
   ignorelistbase.cpp
   dirignorelist.cpp
   globalignorelist.cpp
   addignoremenu.cpp
   editwithmenu.cpp
   logmessageedit.cpp
   updateview.h
   protocolview.h
   watchdialog.h
   changelogdialog.h
   historydialog.h
   repositorydialog.h
   commitdialog.h
   checkoutdialog.h
   updatedialog.h
   tagdialog.h
   mergedialog.h
   cvsdir.h
   repositories.h
   cervisiapart.h
   addrepositorydialog.h
   addremovedialog.h
   watchersdialog.h
   watchersmodel.h
   updateview_items.h
   updateview_visitors.h
   entry.h
   entry_status.h
   stringmatcher.h
   cvsinitdialog.h
   ignorelistbase.h
   dirignorelist.h
   globalignorelist.h
   addignoremenu.h
   editwithmenu.h
   logmessageedit.h
)


qt_add_dbus_adaptor(cervisiapart_PART_SRCS org.kde.cervisia5.protocolview.xml protocolview.h ProtocolView)

kcoreaddons_add_plugin(cervisiapart SOURCES ${cervisiapart_PART_SRCS} INSTALL_NAMESPACE "kf5/parts")

target_link_libraries(cervisiapart KF${KF_MAJOR_VERSION}::I18n KF${KF_MAJOR_VERSION}::TextWidgets KF${KF_MAJOR_VERSION}::Parts KF${KF_MAJOR_VERSION}::Notifications KF${KF_MAJOR_VERSION}::ItemViews)


########### next target ###############


########### install files ###############

install(PROGRAMS org.kde.cervisia.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
install(FILES org.kde.cervisia.appdata.xml DESTINATION  ${KDE_INSTALL_METAINFODIR} )
install(FILES cervisiapart.kcfg  DESTINATION  ${KDE_INSTALL_KCFGDIR} )
install(FILES cervisiaui.rc  DESTINATION  ${KDE_INSTALL_KXMLGUIDIR}/cervisiapart )
install(FILES cervisiashellui.rc DESTINATION  ${KDE_INSTALL_KXMLGUIDIR}/cervisia )
install(FILES cervisia.notifyrc  DESTINATION  ${KDE_INSTALL_KNOTIFYRCDIR} )

ecm_install_icons(ICONS
    16-apps-cervisia.png
    22-apps-cervisia.png
    32-apps-cervisia.png
    48-apps-cervisia.png
    sc-apps-cervisia.svg
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
cervisia (4:25.04.3+p24.04+vstable+git20251217.0045-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 17 Dec 2025 00:46:01 +0000

## cervisia 25.04.3+p24.04+vstable+git20251220.0304

=== debian/changelog ===
cervisia (4:25.04.3+p24.04+vstable+git20251220.0304-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Dec 2025 03:05:01 +0000

=== debian/control ===
Source: cervisia
Section: kde
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 1.3.0~),
               kinit-dev,
               libkf5config-dev,
               libkf5doctools-dev,
               libkf5iconthemes-dev,
               libkf5itemviews-dev,
               libkf5notifications-dev,
               libkf5parts-dev,
               libkf5su-dev,
               libkf5widgetsaddons-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.2.0~)
Standards-Version: 4.1.1
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/cervisia.git
Vcs-Browser: https://invent.kde.org/neon/kde/cervisia
Maintainer: Neon CI <neon@kde.org>

Package: cervisia
Architecture: any
Section: devel
Depends: cvsservice (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: graphical CVS client
 Cervisia is a front-end for the CVS version control system client.
 .
 In addition to basic and advanced CVS operations, it provides a convenient
 graphical interface for viewing, editing, and manipulating files in a CVS
 repository or working directory.  It includes tools designed to ease the use
 of CVS, such as a log browser, conflict resolver, and changelog editor that
 checks for incorrect formatting.
 .
 This package is part of the KDE Software Development Kit module.

Package: cvsservice
Architecture: any
Section: vcs
Depends: cvs, ${misc:Depends}, ${shlibs:Depends}
Replaces: cervisia (<< 4:19.04), libcvsservice0, ${kde-l10n:all}
Breaks: cervisia (<< 4:19.04), libcvsservice0, ${kde-l10n:all}
Description: D-Bus service for accessing CVS repositories
 This package provides a D-Bus service for browsing and manipulating
 remote CVS repositories.  Applications may make use of it directly from
 C++, or access the service over D-Bus.
 .
 This package is part of the KDE Software Development Kit module.

## cervisia 25.04.3+p24.04+vstable+git20260113.0332

=== debian/changelog ===
cervisia (4:25.04.3+p24.04+vstable+git20260113.0332-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 03:32:48 +0000

## cervisia 25.04.3+p24.04+vunstable+git20251111.0341

=== debian/changelog ===
cervisia (4:25.04.3+p24.04+vunstable+git20251111.0341-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 11 Nov 2025 03:41:20 +0000

## cervisia 25.04.3+p24.04+vunstable+git20251124.1002

=== debian/changelog ===
cervisia (4:25.04.3+p24.04+vunstable+git20251124.1002-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 24 Nov 2025 10:02:54 +0000

## cervisia 25.04.3+p24.04+vunstable+git20251208.0051

=== cvsservice/CMakeLists.txt ===
find_package(KF${KF_MAJOR_VERSION}DBusAddons)

set(cvsservice_bin_SRCS
   main.cpp 
   cvsservice.cpp 
   cvsjob.cpp 
   repository.cpp 
   sshagent.cpp 
   cvsserviceutils.cpp 
   cvsloginjob.cpp
   cvsservice.h
   cvsjob.h
   repository.h
   sshagent.h
   cvsserviceutils.h
   cvsloginjob.h
   ../debug.cpp)

qt_add_dbus_adaptor(cvsservice_bin_SRCS org.kde.cervisia5.cvsservice.xml cvsservice.h CvsService)

qt_add_dbus_adaptor(cvsservice_bin_SRCS org.kde.cervisia5.cvsloginjob.xml cvsloginjob.h CvsLoginJob)

qt_add_dbus_adaptor(cvsservice_bin_SRCS org.kde.cervisia5.repository.xml repository.h Repository)

qt_add_dbus_adaptor(cvsservice_bin_SRCS org.kde.cervisia5.cvsjob.xml cvsjob.h CvsJob)



add_executable(cvsservice_bin ${cvsservice_bin_SRCS})
ecm_mark_nongui_executable(cvsservice_bin)
set_target_properties(cvsservice_bin PROPERTIES OUTPUT_NAME cvsservice5)

target_link_libraries(cvsservice_bin Qt::Widgets Qt::DBus KF${KF_MAJOR_VERSION}::KIOCore KF${KF_MAJOR_VERSION}::I18n KF${KF_MAJOR_VERSION}::WidgetsAddons KF${KF_MAJOR_VERSION}::Su KF${KF_MAJOR_VERSION}::DBusAddons KF${KF_MAJOR_VERSION}::ConfigCore)
if (QT_MAJOR_VERSION STREQUAL "6")
    target_link_libraries(cvsservice_bin Qt::Core5Compat)
endif()

install(TARGETS cvsservice_bin ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

########### next target ###############

add_executable(cvsaskpass cvsaskpass.cpp)

target_link_libraries(cvsaskpass Qt::Widgets KF${KF_MAJOR_VERSION}::WidgetsAddons KF${KF_MAJOR_VERSION}::CoreAddons KF${KF_MAJOR_VERSION}::I18n)
if (QT_MAJOR_VERSION STREQUAL "6")
    target_link_libraries(cvsaskpass Qt::Core5Compat)
endif()

install(TARGETS cvsaskpass  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

if (QT_MAJOR_VERSION STREQUAL "5")
    install( FILES  org.kde.cvsservice5.desktop  DESTINATION  ${KDE_INSTALL_KSERVICESDIR} )
endif()

install( FILES org.kde.cervisia5.cvsjob.xml
               org.kde.cervisia5.cvsservice.xml
               org.kde.cervisia5.repository.xml
               org.kde.cervisia5.cvsloginjob.xml
         DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR} )

=== debian/changelog ===
cervisia (4:25.04.3+p24.04+vunstable+git20251208.0051-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 00:51:47 +0000

## cervisia 25.04.3+p24.04+vunstable+git20251220.0312

=== debian/changelog ===
cervisia (4:25.04.3+p24.04+vunstable+git20251220.0312-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Dec 2025 03:12:24 +0000

## cervisia 25.04.3+p24.04+vunstable+git20260113.0129

=== debian/changelog ===
cervisia (4:25.04.3+p24.04+vunstable+git20260113.0129-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 01:29:15 +0000
